Subject: PR applying procedure for lads in China

From: Huicong Cai <[email-masked]>
Date: Mon, 22 Aug 94 13:37:16 CDT

---------------------------------------------------------

Dear friends:
I got PR under CSPA and my priority date is July 1, 1993.
Now I want to apply PR for my daughter in China. Would any knowledgeable
friends do me a favor helping me to understand the procedure, i.e.
1. what is the first step? file I-130?
2. If I want it under E3 category rather than family based category, what
should I do?
3. how long it will take when she can get visa?
I appreciate your time and knowledge for helping me!!!

Truly,
H. Cai